/*
 * image.h
 *
 * Copyright (c) 1995, John Kilburg (john@isri.unlv.edu)
 */

#ifndef __IMAGE_H__
#define __IMAGE_H__ 1

#define IMAGE_GIF 0    /* image format, GIF */
#define IMAGE_XBM 1    /* X11 bitmap */
#define IMAGE_JPEG 2   /* something */
#define IMAGE_PNG 3    /* portable network graphics */
#define IMAGE_MPEG 4   /* well we'll see */
#define IMAGE_PNM 5    /* portable anymap */

typedef void *ImageState;
typedef void *ImagePState;

typedef void (*ImageLineProc) _ArgProto((XImage *, int, int, void *));

/* "Permanent" state spans individual images */
ImagePState ImagePInit _ArgProto((Display *, Visual *, int, Colormap, Pixel, Pixel));
void ImagePDestroy _ArgProto((ImagePState));

/* for individual images */
ImageState ImageInit _ArgProto((ImagePState, int, ImageLineProc, void *));
int ImageAddData _ArgProto((ImageState, void *, int));
void ImageEndData _ArgProto((ImageState));
void ImageDestroy _ArgProto((ImageState));
XImage *ImageGetXImage _ArgProto((ImageState));
Pixel ImageForeground _ArgProto((ImageState));
Pixel ImageBackground _ArgProto((ImageState));

#endif /* __IMAGE_H__ */
