/*
 * image_format.h
 *
 * Copyright (c) 1995 Erik Corry ehcorry@inet.uni-c.dk
 *
 */

#ifndef IMAGE_FORMAT_H_INCLUDED
#define IMAGE_FORMAT_H_INCLUDED

typedef struct ifs_vector *ift_vector;

typedef void (*FormatLineProc) _ArgProto((void *, int, int));

typedef void (InitProcDecl) _ArgProto((FormatLineProc line_proc,
                                        void *line_proc_closure,
                                        ift_vector vector));
typedef InitProcDecl *InitProc;
typedef void (*DestroyProc) _ArgProto((void *image_format_closure));
typedef int (*AddDataProc) _ArgProto((void *image_format_closure,
                                     byte *data,
                                     int len,
                                     bool data_ended));

typedef Image *(*GetImageProc) _ArgProto((void *image_format_closure));

InitProcDecl gifInit;
InitProcDecl xbmInit;
InitProcDecl pnmInit;
InitProcDecl jpegInit;

struct ifs_vector
{
  void *image_format_closure;
  int image_format;
  InitProc initProc;
  DestroyProc destroyProc;
  AddDataProc addDataProc;
  GetImageProc getImageProc;
};

#endif
