/*
 * xbmp.h
 *
 * Copyright (C) 1995, Erik Corry (ehcorry@inet.uni-c.dk)
 */

#ifndef XBM_H_INCLUDED
#define XBM_H_INCLUDED 1

#include "image_format.h"

/*
 * xbmState
 */
typedef struct xbm_state
{
  int state;               /* state of XBM reader */
  FormatLineProc lineProc; /* line callback */
  void *closure;           /* closure for callback */

  Image *image;

  int   pos;               /* current read position */
  int   ypos;              /* current line */
  int   xpos;              /* current pixel */
  byte *imagepos;          /* current posn. in output */

} xbmState;

/*
 * state of XBM reader
 */
#define XBM_FINISHED 0
#define XBM_READ_HEADER 1
#define XBM_READ_IMAGE 2

/*
 * return values from xbm processing fns
 */
#define XBM_ERROR 0
#define XBM_SUCCESS 1
#define XBM_NEED_DATA 2

#endif
