/*
 * resources.h
 *
 * Copyright (C) 1993, 1994, 1995, John D. Kilburg (john@cs.unlv.edu)
 *
 * See copyright.h for details.
 */ 

typedef struct _htmlroot
{
  /*
   * Public
   */
  char *bookmarkFile;
  char *helpURL;              /* location of the help page */
  char *homeURL;              /* location of the home page */
  char *button1Box;           /* list of widgets in the first button box */
  char *button2Box;           /* list of widgets in the second button box */
  char *printerName;          /* default printer */
  Boolean showURL;            /* switch for the display of the current URL */
  XFontStruct *messageFont;
  char *sourceViewer;

  /*
   * Private data
   */
  XtAppContext appcon;
  Widget file;
  Widget toplevel;
  Widget www;
  Widget back;
  Widget open;
  Widget view;
  Widget help;
  Widget source;
  Widget urldisplay;
  Widget bookmark;
  Widget reload;
  Widget home;
  Widget search;
  Widget cancel;
  Widget quit;
  Widget message;
  String group;
  Widget openpop;
  Widget bookpop;
  GC gc;
} AppResources;


void CreateWidgets _ArgProto((AppResources *));

/*
 * Callbacks
 */
void Quit _ArgProto((Widget, XtPointer, XtPointer));
void Open _ArgProto((Widget, XtPointer, XtPointer));
void Home _ArgProto((Widget, XtPointer, XtPointer));
void Back _ArgProto((Widget, XtPointer, XtPointer));
void Help _ArgProto((Widget, XtPointer, XtPointer));
void Source _ArgProto((Widget, XtPointer, XtPointer));
void Reload _ArgProto((Widget, XtPointer, XtPointer));
void File _ArgProto((Widget, XtPointer, XtPointer));
void Bookmark _ArgProto((Widget, XtPointer, XtPointer));
void Search _ArgProto((Widget, XtPointer, XtPointer));
void Cancel _ArgProto((Widget, XtPointer, XtPointer));

void DisplayCallback _ArgProto((Widget, XtPointer, XtPointer));
void AnchorCallback _ArgProto((Widget, XtPointer, XtPointer));
void DownloadCallback _ArgProto((Widget, XtPointer, XtPointer));
void SaveCallback _ArgProto((Widget, XtPointer, XtPointer));


