/*
 * WWW.h
 *
 * Copyright (c) 1995, John D. Kilburg (john@cs.unlv.edu)
 *
 * See copyright.h for more information.
 *
 */
#include "copyright.h"

#ifndef __WWW_H__
#define __WWW_H__ 1

#define XtNh1Font            "h1Font"
#define XtNh2Font            "h2Font"
#define XtNh3Font            "h3Font"
#define XtNh4Font            "h4Font"
#define XtNh5Font            "h5Font"
#define XtNh6Font            "h6Font"
#define XtNnormalFont        "normalFont"
#define XtNemFont            "emFont"
#define XtNbFont             "bFont"
#define XtNttFont            "ttFont"
#define XtNiFont             "iFont"

#define XtNurl               "url"

#define XtNmaxDownloads      "maxDownloads"

#define XtNanchorColor       "anchorColor"
#define XtNlineSpace         "lineSpace"

#define XtNanchorReport      "anchorReport"

#define XtNimageQuitInterval "imageQuitInterval"

#define XtNanchorCallback    "anchorCallback"
#define XtNdisplayCallback   "displayCallback"
#define XtNdownloadCallback  "downloadCallback"
#define XtNdocumentSaveCallback      "documentSaveCallback"

#ifndef XtNmargin
#define XtNmargin            "margin"
#endif

#define XtNioQuantum         "ioQuantum"
#define XtNioTimeOutInterval "ioTimeOutInterval"

#define XtNmimeCapFiles      "mimeCapFiles"
#define XtNmimeTypeFiles     "mimeTypeFiles"
#ifndef XtNpath
#define XtNpath              "path"
#endif

#define XtNsource            "source"
#define XtNsourceLength      "sourceLength"

#ifndef XtNtitle
#define XtNtitle             "title"
#endif

#ifndef XtNauthor
#define XtNauthor            "author"
#endif

#define XtNbrokenHTML        "brokenHTML"

#define XtCFileList          "FileList"
#define XtCHTMLText          "HTMLText"
#define XtCURL               "URL"
#define XtCMaxDownloads      "MaxDownloads"
#define XtCIOQuantum         "IOQuantum"

#define XtCBrokenHTML        "BrokenHTML"

typedef struct _WWWClassRec  *WWWWidgetClass;
typedef struct _WWWRec	     *WWWWidget;

extern WidgetClass           wwwWidgetClass;

void WWWBack _ArgProto((Widget));
void WWWHome _ArgProto((Widget));
void WWWReload _ArgProto((Widget));
void WWWSearch _ArgProto((Widget, char *, Boolean));
void WWWCancel _ArgProto((Widget));

typedef struct _www_callback_info
{
  void *data;
  int len;
  char *content;
} WWWCallbackInfo;

#endif /* __WWW_H__ */
