/*
 * url.h
 *
 * Copyright (C) 1993, 1994, 1995, John D. Kilburg (john@cs.unlv.edu)
 *
 */

#ifndef __URL_H__
#define __URL_H__

/*
 * Some of these fields should not be here.  It was convienent.
 *
 * protocol://username:password@hostname:port/filename#anchor
 */
typedef struct
{
  char *protocol;
  char *hostname;
  int port;
  char *filename;
  char *anchor;
  char *method;
  char *input_data;
  int input_data_len;
  char *input_data_type;
  char *auth_type;
  char *auth_realm;
  char *username;
  char *password;
  int reload;
} URLParts;

/*
 * Prototypes
 */
char *FixURL _ArgProto((char *));
char *MakeURL _ArgProto((URLParts *, int));
URLParts *MakeURLParts _ArgProto((URLParts *, URLParts *));
URLParts *ParseURL _ArgProto((char *));
void DestroyURLParts _ArgProto((URLParts *));
void StripSearchURL _ArgProto((char *));
void AddVisitedURL _ArgProto((char *));
int IsVisitedURL _ArgProto((char *));
char *UnescapeURL _ArgProto((char *));
char *EscapeURL _ArgProto((char *, int));
URLParts *DupURLParts _ArgProto((URLParts *));
int IsAbsoluteURL _ArgProto((URLParts *));
int URLcmp _ArgProto((URLParts *, URLParts *));

#endif
